Show Transaction by Merchant.
curl --request GET \
--url https://api.money.orki.io/api/v1/partner/transactions/{transaction_id} \
--header 'X-ORKI-API-KEY: <api-key>'import requests
url = "https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}"
headers = {"X-ORKI-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-ORKI-API-KEY': '<api-key>'}};
fetch('https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ORKI-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-ORKI-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}")
.header("X-ORKI-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-ORKI-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"msg": "Transaction fetched successfully",
"data": {
"id": "01jwm8tchegxy37f12jck7b0bx",
"provider_transaction_id": "cos_1RUyHbQRBKAgk6f06LOvXqFU",
"type": "BUY",
"sender_address": null,
"recipient_address": "0x5f661d0e61d3F79DA6605AB6173453084599c5aC",
"exchange_rate": 239.2,
"transaction_hash": "random_hash_here",
"provider_fee": "60.600000",
"provider_fee_currency": "USD",
"client_fee": "0.400000",
"client_fee_currency": "USD",
"orki_fee": "0.100000",
"orki_fee_currency": "USD",
"network_fee": "0.050000",
"network_fee_currency": "USD",
"fiat_amount": 400,
"crypto_amount": 1500,
"fiat_currency": "USD",
"crypto_currency": "eth",
"network": "ethereum",
"payment_method": "credit_debit_card",
"partner_context": "order-12345",
"status": "success",
"provider": "stripe",
"created_at": "2025-05-31T22:53:51.000000Z",
"processed_at": "2025-06-01T23:50:50.000000Z"
},
"success": true,
"code": 200
}Transactions
Get Transaction
This endpoint retrieves the details of a specific transaction under the partner’s account.
GET
/
api
/
v1
/
partner
/
transactions
/
{transaction_id}
Show Transaction by Merchant.
curl --request GET \
--url https://api.money.orki.io/api/v1/partner/transactions/{transaction_id} \
--header 'X-ORKI-API-KEY: <api-key>'import requests
url = "https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}"
headers = {"X-ORKI-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-ORKI-API-KEY': '<api-key>'}};
fetch('https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ORKI-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-ORKI-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}")
.header("X-ORKI-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.money.orki.io/api/v1/partner/transactions/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-ORKI-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"msg": "Transaction fetched successfully",
"data": {
"id": "01jwm8tchegxy37f12jck7b0bx",
"provider_transaction_id": "cos_1RUyHbQRBKAgk6f06LOvXqFU",
"type": "BUY",
"sender_address": null,
"recipient_address": "0x5f661d0e61d3F79DA6605AB6173453084599c5aC",
"exchange_rate": 239.2,
"transaction_hash": "random_hash_here",
"provider_fee": "60.600000",
"provider_fee_currency": "USD",
"client_fee": "0.400000",
"client_fee_currency": "USD",
"orki_fee": "0.100000",
"orki_fee_currency": "USD",
"network_fee": "0.050000",
"network_fee_currency": "USD",
"fiat_amount": 400,
"crypto_amount": 1500,
"fiat_currency": "USD",
"crypto_currency": "eth",
"network": "ethereum",
"payment_method": "credit_debit_card",
"partner_context": "order-12345",
"status": "success",
"provider": "stripe",
"created_at": "2025-05-31T22:53:51.000000Z",
"processed_at": "2025-06-01T23:50:50.000000Z"
},
"success": true,
"code": 200
}Use
provider_transaction_id as the provider’s transaction identifier. client_fee is the partner fee, while orki_fee is Orki’s platform fee; both are separate fields and are denominated by their companion currency fields.The fee amounts and companion currency fields use the same names and null behavior as transaction webhooks. Fee amounts are returned as decimal strings so they can be parsed without floating-point loss.fiat_amount is the provider-reported base fiat transaction amount before separately itemized fees. The fee fields are not subtracted from it.Authorizations
Path Parameters
The ID of the transaction.
⌘I